Bug 1623922 - python2-devel should require python2-setuptools to prevent packaging errors
Summary: python2-devel should require python2-setuptools to prevent packaging errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python2
Version: 29
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1623914
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-30 13:02 UTC by Miro Hrončok
Modified: 2018-09-05 21:32 UTC (History)
16 users (show)

Fixed In Version: python2-2.7.15-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1623914
Environment:
Last Closed: 2018-09-05 21:32:41 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2018-08-30 13:02:56 UTC
+++ This bug was initially created as a clone of Bug #1623914 +++

We've recently switched requires on setuptools and pip to recommends. See: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/ARFZB56ULRQNT3FEAC4YXXZDIUHG4M5P/


While I like specific BuildRequires, apparently it is possible to build some packages without setuptools and distutils will create egg-info file, but with setuptools it will create egg-info directory.

File vs. directory is bad in RPM and can bring serious troubles:  https://fedoraproject.org/wiki/Packaging:Directory_Replacement

I propose we add "Requires: pythonX-setuptools to pythonX-devel" in order to prevent a giant clusterfuck.

Later we can somehow analyze the issue and mass add BRs for setuptools, but before we do that, everything can already be on fire.

Comment 1 Fedora Blocker Bugs Application 2018-08-30 13:05:16 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user churchyard using the blocker tracking app because:

 This has a potential to break a lot of other updates.

Comment 3 Fedora Update System 2018-08-30 16:43:02 UTC
python2-2.7.15-8.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ef46486ba

Comment 4 Fedora Update System 2018-08-31 16:22:19 UTC
python2-2.7.15-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2ef46486ba

Comment 5 František Zatloukal 2018-09-03 14:54:36 UTC
I've commented the update in bodhi. 

python2-2.7.15-8.fc29 fixes this issue.

Comment 6 Raphael Groner 2018-09-04 18:04:11 UTC
This change broke rebuilds for one of my packages but I could fix it with explicitly adding BR: python2-setuptools.

Comment 7 Miro Hrončok 2018-09-04 20:32:08 UTC
Please add it. Yet this update should unbreak it.

Comment 8 Adam Williamson 2018-09-05 18:00:59 UTC
Sure, I guess. +1 FE.

Comment 9 Kalev Lember 2018-09-05 18:06:46 UTC
+1 FE

Comment 10 Jared Smith 2018-09-05 18:09:05 UTC
+1 FE

Comment 11 Adam Williamson 2018-09-05 18:48:02 UTC
That's +3, setting accepted.

Comment 12 Fedora Update System 2018-09-05 21:32:41 UTC
python2-2.7.15-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.